
T5_RTW_JUH = {};

function T5_RTW_JUH.prerequisitesPresent(specializations)
    return true; 
end;

function T5_RTW_JUH:load(xmlFile)
		--Erster Trigger
	self.Trigger1 = T5_RTW_JUH.Trigger1;
	self.TriggerIndex1 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Trigger1#index"));
	addTrigger(self.TriggerIndex1, "Trigger1", self);
	self.enteredTrigger1 = false;
		--Zweiter Trigger
	self.Trigger2 = T5_RTW_JUH.Trigger2;
	self.TriggerIndex2 = Utils.indexToObject(self.components, getXMLString(xmlFile, "vehicle.Trigger2#index"));
	addTrigger(self.TriggerIndex2, "Trigger2", self);
	self.enteredTrigger2 = false;
	

	
end;

function T5_RTW_JUH:Trigger1(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if (g_currentMission.controlledVehicle and otherId == g_currentMission.controlledVehicle.components[1].node) or (g_currentMission.player and otherId == g_currentMission.player.rootNode) then
		if onEnter then
			self.enteredTrigger1 = true;
		end;
	if onLeave then 
		self.enteredTrigger1 = false;
		end;
	end;
end;

function T5_RTW_JUH:Trigger2(triggerId, otherId, onEnter, onLeave, onStay, otherShapeId)
	if (g_currentMission.controlledVehicle and otherId == g_currentMission.controlledVehicle.components[1].node) or (g_currentMission.player and otherId == g_currentMission.player.rootNode) then
		if onEnter then
			self.enteredTrigger2 = true;
		end;
	if onLeave then 
		self.enteredTrigger2 = false;
		end;
	end;
end;


function T5_RTW_JUH:readStream(streamId, connection)
	
end;

function T5_RTW_JUH:writeStream(streamId, connection)	
	
end;

function T5_RTW_JUH:delete()
	
end;

function T5_RTW_JUH:mouseEvent(posX, posY, isDown, isUp, button)
end;

function T5_RTW_JUH:keyEvent(unicode, sym, modifier, isDown)
end;

function T5_RTW_JUH:update(dt)


	
	if self.enteredTrigger1 then
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_1) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition+(self.animationParts[1].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_2) then
			self:setAnimationTime(1, self.animationParts[1].currentPosition-(self.animationParts[1].offSet*(dt/10)));
		end;
				if self.animationParts[1].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_2")), InputBinding.T5_RTW_JUH_2);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_1")), InputBinding.T5_RTW_JUH_1);
				end;
	end;
	
	if self.enteredTrigger2 then
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_4) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition+(self.animationParts[2].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_3) then
			self:setAnimationTime(2, self.animationParts[2].currentPosition-(self.animationParts[2].offSet*(dt/10)));
		end;
				if self.animationParts[2].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_3")), InputBinding.T5_RTW_JUH_3);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_4")), InputBinding.T5_RTW_JUH_4);
				end;
				
	end;			

	
	if self:getIsActiveForInput() then
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_5) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition+(self.animationParts[3].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_6) then
			self:setAnimationTime(3, self.animationParts[3].currentPosition-(self.animationParts[3].offSet*(dt/10)));
		end;
				if self.animationParts[3].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_6")), InputBinding.T5_RTW_JUH_6);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_5")), InputBinding.T5_RTW_JUH_5);
				end;
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_7) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition+(self.animationParts[4].offSet*(dt/10)));
		end;
		if InputBinding.isPressed(InputBinding.T5_RTW_JUH_8) then
			self:setAnimationTime(4, self.animationParts[4].currentPosition-(self.animationParts[4].offSet*(dt/10)));
		end;
				if self.animationParts[4].clipEndTime then
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_8")), InputBinding.T5_RTW_JUH_8);
				else
					g_currentMission:addHelpButtonText(string.format(g_i18n:getText("T5_RTW_JUH_7")), InputBinding.T5_RTW_JUH_7);
				end;
	end;
end;

function T5_RTW_JUH:triggerCallback(triggerId,otherId,onEnter,onLeave,onStay)
    if (triggerId == self.stateChange) then
        if (onEnter and g_currentMission.controlPlayer and g_currentMission.player ~= nil and otherId == g_currentMission.player.rootNode) then
            self.changeAllowed = true;
        elseif (onLeave) then
            self.changeAllowed = false;
        end;
    end;
end;

function T5_RTW_JUH:updateTick(dt)
end;

function T5_RTW_JUH:draw()
end;

function T5_RTW_JUH:onLeave()
	
end;